List DNS records for a domain
A GET request to the /v1/dns/domains/{dns_domain_id}/records endpoint will show a list of DNS records for a domain specified in the path parameter. You can make the request more specific using the query parameters.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
dns_domain_id | stringA unique identifier of a DNS domain. |
Query Parameters
| Field | Details |
|---|---|
type? | stringValue in: A record type. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringDefault: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/dns/domains/JxboYKeg/records"[ { "id": "46dBXa79", "type": "A", "name": "example-648.com", "domain_id": "JxboYKeg", "data": "example-648.com", "priority": 65, "ttl": 3600, "updated_at": "2025-12-31T00:00:00Z", "created_at": "2025-12-31T00:00:00Z" }, { "id": "BDbDxbl2", "type": "A", "name": "example-649.com", "domain_id": "JxboYKeg", "data": "example-649.com", "priority": 66, "ttl": 3600, "updated_at": "2025-12-31T00:00:00Z", "created_at": "2025-12-31T00:00:00Z" }, { "id": "4oeEva0B", "type": "TXT", "name": "example-650.com", "domain_id": "JxboYKeg", "data": "example-650.com", "priority": 67, "ttl": 3600, "updated_at": "2025-12-31T00:00:00Z", "created_at": "2025-12-31T00:00:00Z" }]